##### basic_stream_socket::io_control (1 of 2 overloads)

Inherited from basic_socket.

Perform an IO control command on the socket.

    template<
        typename IoControlCommand>
    void io_control(
        IoControlCommand & command);

This function is used to execute an IO control command on the socket.

###### Parameters

command

  The IO control command to be performed on the socket.

###### Exceptions

asio::system_error

  Thrown on failure.

###### Example

Getting the number of bytes ready to read:

    asio::ip::tcp::socket socket(my_context);
    ...
    asio::ip::tcp::socket::bytes_readable command;
    socket.io_control(command);
    std::size_t bytes_readable = command.get();